<template>
  <section class="controls-container mt-1">
    <div class="controls">
      <button class="btn btn-outline-primary text-secondary p-0" @click="diminishQuantity()">-</button>
      <input type="number" min="0" step="1" :value="product.quantity" disabled class="px-1 text-center" />
      <button class="btn btn-outline-primary text-secondary p-0" @click="addQuantity()">+</button>
    </div>

    <p class="small text-danger text-center mt-2 ml-2" v-if="showStockMessage">Stock máximo {{ product.stok_real }} uds</p>
  </section>
</template>

<script>
export default {
  data() {
    return {
      showStockMessage: false
    }
  },
  props: {
    product: Object,
    index: Number
  },
  methods: {
    addQuantity() {
      if(this.product.stok_real > this.product.quantity) {
        this.$store.commit('cart/ADD_QUANTITY', this.index)
      } else if(this.product.stok_real === this.product.quantity) {
        this.showStockMessage = true
      }
    },
    diminishQuantity() {
      if(this.product.quantity > 1) {
        this.$store.commit('cart/DIMINISH_QUANTITY', this.index)
        this.showStockMessage = false
      }
    }
  }
};
</script>

<style lang="scss" scoped>
@import '~/assets/scss/variables';
@import '~/assets/scss/mixins';

.controls-container {
  height: 25px;
  display: grid;
  grid-template-columns: 100%;
  grid-gap: 4%;

  @media (min-width: 768px) {
    height: 30px;
  }

  .controls {
    @include cart-controls;
  }
}
</style>